API ReferenceapicommsGET /v1/inbox/{person_id}

GET /v1/inbox/\{person_id\}

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • person_id (string) required

Query parameters

  • brand_id (string) required
  • limit (integer) —

Responses

200 Inbox items for person

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "person_id": {
            "type": "string"
          },
          "channel": {
            "type": "string"
          },
          "category": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "body": {
            "type": [
              "string",
              "null"
            ]
          },
          "action_url": {
            "type": [
              "string",
              "null"
            ]
          },
          "read_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "brand_id",
          "person_id",
          "channel",
          "category",
          "title",
          "body",
          "action_url",
          "read_at",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/inbox/{person_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"